version: '3.1'

services:

  wordpress:
    image: wordpress:{{ wordpress_version }}
    restart: always
    ports:
      - 8080:80
    environment:
      WORDPRESS_DB_HOST: db
      WORDPRESS_DB_USER: {{ mediawiki_db_user }}
      WORDPRESS_DB_PASSWORD: {{ mediawiki_db_password }}
      WORDPRESS_DB_NAME: {{ mediawiki_db_name }}
    volumes:
      - wordpress:/var/www/html

  db:
    image: mysql:{{ mysql_version }}
    restart: always
    environment:
      MYSQL_DATABASE: {{ mediawiki_db_name }}
      MYSQL_USER: {{ mediawiki_db_user }}
      MYSQL_PASSWORD: {{ mediawiki_db_password }}
      MYSQL_RANDOM_ROOT_PASSWORD: '1'
    volumes:
      - db:/var/lib/mysql

volumes:
  wordpress:
  db:
